| codcopy

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Copy and reformat a codon usage table

## Description

codcopy reads and writes a codon usage table. Rather than a copy utility, it is intended as a format conversion utility so that codon usage data can be exported to other applications that support only a single format. This program supports all available codon usage input and output formats.

## Algorithm

## Usage

Here is a sample session with codcopy

    % codcopy
    Copy and reformat a codon usage table
    Codon usage file: Eecoli.cut
    Codon usage output file [eecoli.cut]:

Go to the output files for this example

## Command line arguments

    Copy and reformat a codon usage table
    Version: EMBOSS:6.2.0

       Standard (Mandatory) qualifiers:
      [-infile]            codon      Codon usage table name
      [-outfile]           outcodon   Codon usage table name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-infile" associated qualifiers
       -format1            string     Data format

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Output format specific to this data type

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-infile] (Parameter 1) | codon | Codon usage table name | Codon usage file in EMBOSS data path |
[-outfile] (Parameter 2) | outcodon | Codon usage table name | Codon usage file |
Additional (Optional) qualifiers
(none)
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-infile" associated codon qualifiers
-format1 -format_infile | string | Data format | Any string |
"-outfile" associated outcodon qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Output format specific to this data type | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

codcopy reads a codon usage file.

## Output file format

codcopy writes a codon usage table. The user can choose any supported output format. ,p> See the full specification of codon tabel formats at:
http://emboss.sourceforge.net/docs/themes/CodonUsage.html

### Output files for usage example

### File: eecoli.cut

    #Species: Escherichia coli K12
    #Division: gbbct
    #Release: CUTG146
    #CdsCount: 5045

    #Coding GC 51.81%
    #1st letter GC 58.93%
    #2nd letter GC 40.69%
    #3rd letter GC 55.80%

    #Codon AA Fraction Frequency Number
    GCA    A     0.214    20.299  32456
    GCC    A     0.269    25.493  40761
    GCG    A     0.355    33.631  53773
    GCT    A     0.162    15.354  24549
    TGC    C     0.554     6.431  10283
    TGT    C     0.446     5.180   8282
    GAC    D     0.372    19.047  30454
    GAT    D     0.628    32.219  51514
    GAA    E     0.690    39.570  63268
    GAG    E     0.310    17.782  28431
    TTC    F     0.425    16.580  26510
    TTT    F     0.575    22.423  35852
    GGA    G     0.108     7.925  12671
    GGC    G     0.402    29.403  47013
    GGG    G     0.150    10.994  17578
    GGT    G     0.340    24.838  39714
    CAC    H     0.429     9.712  15529
    CAT    H     0.571    12.903  20630
    ATA    I     0.072     4.290   6860
    ATC    I     0.419    24.999  39971
    ATT    I     0.510    30.427  48649
    AAA    K     0.767    33.618  53752
    AAG    K     0.233    10.198  16305
    CTA    L     0.036     3.860   6172
    CTC    L     0.104    11.045  17660
    CTG    L     0.496    52.821  84455
    CTT    L     0.104    11.051  17670
    TTA    L     0.131    13.913  22246
    TTG    L     0.129    13.727  21948
    ATG    M     1.000    27.778  44414
    AAC    N     0.551    21.611  34554
    AAT    N     0.449    17.633  28193
    CCA    P     0.192     8.524  13629
    CCC    P     0.125     5.531   8843
    CCG    P     0.524    23.235  37150
    CCT    P     0.159     7.045  11265
    CAA    Q     0.349    15.474  24742
    CAG    Q     0.651    28.832  46100
    AGA    R     0.037     2.056   3287
    AGG    R     0.022     1.216   1944
    CGA    R     0.064     3.542   5663
    CGC    R     0.398    22.005  35184
    CGG    R     0.098     5.391   8619
    CGT    R     0.381    21.020  33609
    AGC    S     0.277    16.031  25632
    AGT    S     0.151     8.723  13947
    TCA    S     0.123     7.137  11411
    TCC    S     0.148     8.591  13736
    TCG    S     0.154     8.916  14256
    TCT    S     0.147     8.507  13601
    ACA    T     0.131     7.035  11248
    ACC    T     0.435    23.362  37354
    ACG    T     0.268    14.371  22977
    ACT    T     0.166     8.922  14265
    GTA    V     0.154    10.883  17400
    GTC    V     0.215    15.221  24336
    GTG    V     0.371    26.253  41976
    GTT    V     0.260    18.394  29410
    TGG    W     1.000    15.303  24468
    TAC    Y     0.429    12.243  19576
    TAT    Y     0.571    16.326  26103
    TAA    *     0.642     2.025   3237
    TAG    *     0.072     0.228    365
    TGA    *     0.286     0.902   1443

## Data files

None

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
aligncopy | Reads and writes alignments
aligncopypair | Reads and writes pairs from alignments
biosed | Replace or delete sequence sections
cutseq | Removes a section from a sequence
degapseq | Removes non-alphabetic (e.g. gap) characters from sequences
descseq | Alter the name or description of a sequence
entret | Retrieves sequence entries from flatfile databases and files
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from sequence(s)
extractseq | Extract regions from a sequence
featcopy | Reads and writes a feature table
featreport | Reads and writes a feature table
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Create random nucleotide sequences
makeprotseq | Create random protein sequences
maskambignuc | Masks all ambiguity characters in nucleotide sequences with N
maskambigprot | Masks all ambiguity characters in protein sequences with X
maskfeat | Write a sequence with masked features
maskseq | Write a sequence with masked regions
newseq | Create a sequence file from a typed-in sequence
nohtml | Remove mark-up (e.g. HTML tags) from an ASCII text file
noreturn | Remove carriage return from ASCII files
nospace | Remove all whitespace from an ASCII text file
notab | Replace tabs with spaces in an ASCII text file
notseq | Write to file a subset of an input stream of sequences
nthseq | Write to file a single sequence from an input stream of sequences
nthseqset | Reads and writes (returns) one set of sequences from many
pasteseq | Insert one sequence into another
revseq | Reverse and complement a nucleotide sequence
seqret | Reads and writes (returns) sequences
seqretsetall | Reads and writes (returns) many sets of sequences
seqretsplit | Reads sequences and writes them to individual files
sizeseq | Sort sequences by size
skipredundant | Remove redundant sequences from an input set
skipseq | Reads and writes (returns) sequences, skipping first few
splitsource | Split sequence(s) into original source sequences
splitter | Split sequence(s) into smaller sequences
trimest | Remove poly-A tails from nucleotide sequences
trimseq | Remove unwanted characters from start and end of sequence(s)
trimspace | Remove extra whitespace from an ASCII text file
union | Concatenate multiple sequences into a single sequence
vectorstrip | Removes vectors from the ends of nucleotide sequence(s)
yank | Add a sequence reference (a full USA) to a list file

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None